semanage-boolean(8)

NAME
semanage-boolean - SELinux Policy Management boolean tool

SYNOPSIS
semanage boolean [-h] [-n] [-N] [-S STORE] [ --extract | --deleteall | --list [-C] | --modify ( --on | --off ) boolean ]

DESCRIPTION
semanage is used to configure certain elements of SELinux policy without requiring modification to or recompilation from policy sources. semanage boolean command controls the settings of booleans in SELinux policy. booleans are if-then-else rules written in SELinux Policy. They can be used to customize the way that SELinux Policy rules effect a confined domain.

OPTIONS

-h, --help
    show this help message and exit

-n, --noheading
    Do not print heading when listing the specified object type

-N, --noreload
    Do not reload policy after commit

-S STORE, --store STORE
    Select an alternate SELinux Policy Store to manage

-C, --locallist
    List local customizations

-m, --modify
    Modify a record of the specified object type

-l, --list
    List records of the specified object type

-E, --extract
    Extract customizable commands, for use within a transaction

-D, --deleteall
    Remove all local customizations

-1, --on
    Enable the boolean

-0, --off
    Disable the boolean

EXAMPLE
Turn on the apache can send mail boolean
# semanage boolean -m --on httpd_can_sendmail
List customized booleans
# semanage boolean -l -C

SEE ALSO
selinux(8), semanage(8), setsebool(8), getsebool(8)

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>